

/************************************************************************/
/* Copyright (c) 2016 - 2022 Marnix van den Bos.                        */
/*                                                                      */
/* <marnix@xvan.nl>                                                     */
/*                                                                      */
/* This file is part of XVAN, an Interactive Fiction authoring system.  */
/*                                                                      */
/* XVAN is free software: you can redistribute it and/or modify         */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, version 3.                             */
/*                                                                      */
/* XVAN is distributed in the hope that it will be useful,              */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with XVAN.  If not, see <http://www.gnu.org/licenses/>.        */
/*                                                                      */
/************************************************************************/


#include <stdio.h>
#include <stdlib.h>   /* malloc()  */
#include <string.h>
#include <ctype.h>    /* toupper() */
#include <stdint.h>

#include "keyword.h"
#include "typedefs.h"
#include "NL-article.h"

/*************************/
/* Function declarations */
/*************************/

void NL_PrintArticle(sysDescr*, int32_t);

/************************/
/* Function definitions */
/************************/

void NL_PrintArticle(sysDescr *descr, int32_t type)
{
  if (descr->article != NO_ID) {
    switch (type) {
      case ARTICLE_THE:
        if (descr->article != NO_ID) {
          /* clear article or else the white space will */
          /* not be printed by PrintString()            */
          article = 0;
          PrintWord(descr->article); /* 'de','het' or 'een' */
          PrintString(" ");
        }
        break;
      case ARTICLE_A:
        if (descr->article != NO_ID) {
          /* clear article or else the white space will */
          /* not be printed by PrintString()            */
          article = 0;
          PrintString("een ");
        }
        break;
      default:
        /* There is an article in the system description,    */
        /* but no [a] or [the] in the string, so don't print */
        /* the article.                                      */
        break;
    } /* switch */
  }  /* if */
  else {
    /* There is no article to print. Set article */
    /*to 0 or else spaces will be ignored.        */
    article = 0;
  }
}
