
/************************************************************************/
/* Copyright (c) 2016 - 2022 Marnix van den Bos.                        */
/*                                                                      */
/* <marnix@xvan.nl>                                                     */
/*                                                                      */
/* This file is part of XVAN, an Interactive Fiction authoring system.  */
/*                                                                      */
/* XVAN is free software: you can redistribute it and/or modify         */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, version 3.                             */
/*                                                                      */
/* XVAN is distributed in the hope that it will be useful,              */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with XVAN.  If not, see <http://www.gnu.org/licenses/>.        */
/*                                                                      */
/************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

#include "which_os.h"
#ifdef __windows_os
  #include "glk_win.h"
#else
  #include "glk_linux.h"
#endif

#include "keyword.h"
#include "typedefs.h"
#include "NL-xeqfun.h"

/*************************/
/* Function declarations */
/*************************/

int32_t NL_XeqYesNo(void);

/****************************/
/* Testfunction definitions */
/****************************/

int32_t NL_XeqYesNo(void)
{
  char yes_or_no[INPUT_LINE_LEN];
  int gotline, len;
  event_t ev;

  /* flush the outputbuffer */
  Output(outputbuffer);

  while (1) {
    glk_request_line_event(mainwin, yes_or_no, 255, 0);

    gotline = 0;
    while (!gotline) {
      glk_select(&ev);
      switch (ev.type) {
        case evtype_LineInput:
          if (ev.win == mainwin) {
            gotline = 1;
          }
          break;
        case evtype_Arrange:
          /* do nothing */
          break;
      }
    }

    len = ev.val1;
    yes_or_no[len] = '\0';

    strlwr(yes_or_no);

    if ((strcmp(yes_or_no, "ja") == 0) || (strcmp(yes_or_no, "j") == 0))
      return(OK);
    else {
      if ((strcmp(yes_or_no, "nee") == 0) || (strcmp(yes_or_no, "n") == 0))
        return(ERROR);
      else {
        PrintString("Ja of Nee: ");
        Output(outputbuffer);
      }
    }
  }
}
