
/************************************************************************/
/* Copyright (c) 2016 - 2022 Marnix van den Bos.                        */
/*                                                                      */
/* <marnix@xvan.nl>                                                     */
/*                                                                      */
/* This file is part of XVAN, an Interactive Fiction authoring system.  */
/*                                                                      */
/* XVAN is free software: you can redistribute it and/or modify         */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, version 3.                             */
/*                                                                      */
/* XVAN is distributed in the hope that it will be useful,              */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with XVAN.  If not, see <http://www.gnu.org/licenses/>.        */
/*                                                                      */
/************************************************************************/


#if !defined(__init)
#define __init

/***********/
/* Defines */
/***********/

#define STACK_SIZE  50        /* max 50 ints on stack.     */
                              /* Also defined in sysfunc.h */
#define DATAFILE "out.dat"    /* storyfile                 */

/*************************/
/* External declarations */
/*************************/

extern short    transcript;                                 /* letsplay.c */

extern int      CreateGlkWindows(void);                     /* output.c   */
extern void     GetGlkChar(char*);                          /* input.c    */
extern int32_t  InitUndoStack(void);                        /* undo.c     */
extern void     PrintError(int16_t, resultStruct*, char*);  /* errors.c   */
extern void     *Output(char*);                             /* output.c   */
extern int32_t  ReadStoryInfo(storyInfo*);                  /* fileio.c   */
extern int32_t  InitDirs(void);                             /* fileio.c   */
extern int32_t  InitVerbs(void);                            /* fileio.c   */
extern int32_t  InitLocations(void);                        /* fileio.c   */
extern int32_t  InitObjects(void);                          /* fileio.c   */
extern int32_t  InitAttributes(void);                       /* fileio.c   */
extern void     ProcLFlagVal(int32_t, int32_t);
extern int32_t  LetsPlay(void);                             /* letsplay.c */
extern void     CleanUp(void);                              /* cleanup.c  */
extern void     PrintString(char*);                         /* output.c   */

#endif
