
/************************************************************************/
/* Copyright (c) 2016 - 2022 Marnix van den Bos.                        */
/*                                                                      */
/* <marnix@xvan.nl>                                                     */
/*                                                                      */
/* This file is part of XVAN, an Interactive Fiction authoring system.  */
/*                                                                      */
/* XVAN is free software: you can redistribute it and/or modify         */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, version 3.                             */
/*                                                                      */
/* XVAN is distributed in the hope that it will be useful,              */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with XVAN.  If not, see <http://www.gnu.org/licenses/>.        */
/*                                                                      */
/************************************************************************/


#if !defined(__input)
#define __input

extern FILE         *transcriptfile;
extern winid_t      mainwin;                                    /* init.c     */

extern short        testmode;                                   /* letsplay.c */
extern short        transcript;                                 /* letsplay.c */
extern int32_t      capital;                                    /* letsplay.c */
extern char         *outputbuffer;                              /* init.c     */
extern FILE         *testfile;                                  /* init.c     */


extern storyInfo    story_info;                                 /* init.c     */

extern choiceStruct choices[];                                  /* init.c     */

extern char         *ResetString(char*);                        /* output.c   */
extern void         PrintString(char*);                         /* output.c   */
extern void         WriteTranscript(char*);                     /* output.c   */
extern void         Output(char*);                              /* init.c     */
extern int32_t      UpdateChoicesMenu(void);                    /* choices.c  */
extern void         GetChoice(char[]);                          /* choices.c  */
extern void         PrintError(int16_t, resultStruct*, char*);  /* errors.c   */

#endif
